Subject: Mobil Beaumont Refinery
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 28 Dec 2000 04:17:00 -0800 (PST)

Just wanted to thank everybody who works with Mobil Beaumont Refinery.

Our former three year deal with them expired September 30.  Last week, we 
(finally) executed a new contract that keeps HPL as their largest natural gas 
supplier through September 30, 2002.  Also, when their volumes go up in early 
2001, they will once again be HPL's single largest industrial customer.

Everybody's hard work in keeping this customer happy has paid off.  Although 
they can be very demanding to work with (particularly now that they are part 
of Exxon), they know that HPL provides them the best overall service.

Please pass on thanks to anyone I've left off the list who has worked with 
Mobil Beaumont Refinery.

Have a great 2001.

Lee Papayoti
713-853-5923